﻿/*
*	FILE			: ESMIS_PASSWORD
*	PROJECT			: ESMIS
*	PROGRAMMER		: by Richard Carr, published at http://www.blackwasp.co.uk/SaltedPasswordHashing.aspx
*	FIRST VERSION	: 0.0.0
*	DESCRIPTION 	: Create the salt needed for hashing the password
*/
namespace ESMIS
{
    internal class ESMIS_PASSWORD
    {
        private ESMIS_HASH _HASH = new ESMIS_HASH();
        private string hashValue = "";
        private string saltValue = "";
        /*
       *  FUNCTION       : creatSalt()
       *  DISCRIPTION    : Create salt value
       *  PARAMETER      : None
       *  RETURN         : string
       */

        public string creatSalt()
        {
            saltValue = _HASH.GenerateSalt();
            return saltValue;
        }

        /*
       *  FUNCTION       : hash_salt
       *  DISCRIPTION    : Hash and salt the password
       *  PARAMETER      : string password
       *  RETURN         : string
       */

        public string hash_salt(string password)
        {
            hashValue = _HASH.HashPassword(password, saltValue);

            return hashValue;
        }
    }
}