﻿/*
*	FILE			: ESMIS_SERVER_LGN
*	PROJECT			: ESMIS
*	PROGRAMMER		: BRIAN HINDS, JAMES SIMPSOM, JACKSON RUBY
*	FIRST VERSION	: 1.0.0
*	DESCRIPTION 	: Extracts client's user name and ip upon login
*/
namespace ESMIS_SERVER
{
    internal class ESMIS_SERVER_LGN
    {
        public string userName;
        public string userIP;
        private char delimiter = ',';
        private int count = 0;

        /*
        *  FUNCTION       : userLogin
        *  DISCRIPTION    : Extracting user data
        *  PARAMETER      : (string clientData)
        *  RETURN         : None
        */

        public void userLogin(string clientData)
        {
            count = 0;
            string[] substrings = clientData.Split(delimiter);

            foreach (var substring in substrings)
            {
                if (count == 0) { userIP = substring; }
                if (count == 1) { userName = substring; }

                count++;
            }
        }
    }
}